Workspace ONE Access usa Elasticsearch incrustado en el dispositivo de Workspace ONE Access para auditoría, informes y registros de sincronización de los directorios. En Workspace ONE Access versión 21.08, Elasticsearch se actualizó a la versión 6.8.12.

Workspace ONE Access 20.10.X utiliza Elasticsearch 5.6.15. Elasticsearch 6.8.12 puede leer los índices creados en 5.6.15, pero los índices más antiguos deben volver a indexarse a 5.6.15 para usarlos con Elasticsearch 6.8.12, o deben eliminarse. Debido a que Workspace ONE Access 19.03.X y 20.01 usan Elasticsearch versión 2.3.5, Workspace ONE Access 19.03.X y 20.01 deben actualizarse a Workspace ONE Access 20.10.X antes de actualizar a Workspace ONE Access 21.08.

Durante la actualización a la versión 21.08, las acciones realizadas para volver a indexar los índices son las siguientes.

  • Comprueba que haya suficiente espacio en disco para volver a indexar los datos. Si no hay suficiente espacio de disco, se muestra un mensaje que le solicita que amplíe el espacio de disco al mínimo requerido y, a continuación, reinicie la actualización.
  • Elimina todos los índices 2.3.5 y 5.6.15 cerrados que se encuentran en el dispositivo. Los índices cerrados incluyen datos que tienen más de 90 días.
    Nota: Si necesita extraer datos de índices cerrados, póngase en contacto con el soporte de VMware antes de actualizar.
  • Crea un nuevo índice para todos los índices de 2.3.5 y vuelve a crear la asignación de índice anterior.